stéréoscopique mplayer-1.1-r1

Récemment, le nouvel ebuild mplayer-1.1-r1 apparu dans portage. Dans l'article stéréoscopique mplayer-1.0_rc4_p20110322 je ai fourni un patch modifié pour le soutien stéréoscopique mplayer-1.0_rc4_p20110322. Ce patch ne fonctionne plus avec la version actuelle. Cependant, seulement un correctif mineur a été nécessaire. Pour utiliser le nouveau patch, il suffit de télécharger à partir d'ici: mplayer-stéréoscopique 1,1-r1.patch (664) et copiez-le:

/etc/portage/patches/media-video/mplayer-1.1-r1/

Ensuite sortir mplayer et lire des films stéréoscopiques avec:

mplayer -vo gl2: stéréo some_movie_file.avi

mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

Flightgear-2.8.0 avec stereo quadruple

 Flightgear 2.8.0 with quad buffered stereo

Dans l'article Flightgear avec stereo quadruple je ai écrit sur ​​la façon d'obtenir quad stéréo tamponnée à travailler avec le célèbre simulateur de vol FlightGear . Récemment FlightGear-2.8.0 a été libéré. Le problème avec quad stéréo tamponnée persiste avec FlightGear-2.8.0.

On se attend pour activer le mode stéréoscopique FlightGear commençant avec la ligne suivante:

l'exportation OSG_STEREO_MODE = QUAD_BUFFER; exportation OSG_STEREO = ON; fgfs

Lors du démarrage flightgear cette façon, on obtient la sortie de la console suivant et aucun vue stéréoscopique:

Attention: erreur détectée OpenGL 'opération invalide' après RenderBin :: draw (,)

Obtenir FlightGear de travailler avec un son stéréo quad-tamponné

La raison pour le message d'erreur ci-dessus et le mode stéréo cassé résultant est que le contexte stéréo ne est pas correctement initialisé. Les détails sont décrits ici: Flightgear avec stereo quadruple . Malheureusement le patch je ai proposé dans le poste mentionné ne fonctionne pas pour flightgear-2.8.0. Cependant, les bonnes nouvelles sont, il ne est nécessaire une légère modification, le fichier WindowBuilder.cxx ne est plus dans src / Main, mais dans le répertoire src / Viewer. Vous pouvez télécharger le nouveau patch d'ici: flightgear-2.8.0-stereoscopic.patch (800)

Espérons que le patch trouve son chemin dans la prochaine version de flightgear.

Comme d'habitude pour quad tamponnée stéréo, vous devez utiliser une carte graphique professionnelle qui prend en charge stereo quadruple, comme une NVIDIA Quadro FX ou ATI FireGL et le matériel d'affichage adéquat, comme des lunettes à obturateur, un HMD ou d'un système de projection stéréoscopique, de bénéficier de il. Pour utiliser le quad tamponnée mode stéréo début flightgear avec les variables d'environnement mentionnés ci-dessus. Ensuite, vous avez probablement pour activer le mode stéréo quad tamponnée en sélectionnant l'stéréoscopique Options d'affichage dans le menu de l'Affichage.

La façon Gentoo

Pour les utilisateurs de gentoo, je ai créé un overlay. Comme le précédent, il contient des correctifs et des ebuilds modifiés pour flightgear avec le travail de soutien de tampon quad. Vous pouvez obtenir la superposition d'ici: flightgear-2.8.0 superposition (720) Télécharger la superposition et l'extraire dans / usr / local / portage. Veillez à inclure la ligne suivante dans votre fichier /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Alors émerger flightgear et en profiter en trois dimensions.

Se amuser

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

binaires glsldevil

Il ya environ un an, je ai écrit au sujet de l'OpenGL / GLSL débogueur glsldevil dans l'article gentoo ebuild pour glsldevil-1.1.5 et a fourni un ebuild de Gentoo pour cela. Malheureusement glsldevil ne semble pas être plus disponible à partir de la page Web de l'Université de Stuttgart ( http://cumbia.informatik.uni-stuttgart.de/glsldevil/ ), qui a rendu inutile l'ebuild.

Modifier 29/5/2012: Le site de téléchargement d'origine de l'Université de Stuttgart est à nouveau disponible.

Depuis la licence de glsldevil permet la redistribution, je ai décidé de télécharger ma copie locale, de faire glsldevil disponibles pour le public à nouveau. Malheureusement cela ne comprend les binaires Linux (32 bits et 64 bits) et ni les binaires Windows ou le code source.

Vous pouvez télécharger les binaires Linux à partir d'ici: glsldevil-1.1.5.tar.gz (861)

Pour une utilisation avec l'ebuild, il suffit de copier le fichier / usr / portage / distfiles /.

ce qui concerne
Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (1 votes, moyenne: 5,00 sur 5)
Loading ... Chargement ...

nvidia-drivers-295,17 résoudre le problème d'écran noir

Utilisation des pilotes de linux nvidia partir de la version 270.X à 275.X avec certaines cartes graphiques, dans l'exemple de la Quadro FX 350M qui est intégré dans l'ordinateur portable Dell Precision M65, a abouti à un écran noir ou une fenêtre pour les applications OpenGL. Même glxgears ont émis uniquement une fenêtre noire. Le problème a été discuté sur forums.opensuse.org . Une mise à niveau vers une version inférieure de pilote, dans l'exemple les 260.X pilotes version ne est plus applicable, car ces pilotes ne construisent point contre une récente linux-kernel 3. Une mise à niveau vers de nouveaux pilotes n'a pas été possible, car les versions des pilotes à partir 285.X à 295,10 ne fonctionnent pas du tout pour cette carte graphique. Récemment la version du pilote 295,17 Nvidias bêta est devenu disponible, ce qui résout ce problème. Les liens de téléchargement sont disponibles sur nvnews.net .

Pour les utilisateurs de gentoo, je ai modifié les nvidia-drivers ebuild pour le conducteur 295,17. Vous pouvez télécharger mon superposition, modifiés nvidia-drivers-295.17.tar.gz (379) et l'extraire dans / usr / local / portage. Veillez à inclure la ligne suivante dans votre fichier /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Ensuite, vous pouvez sortir nvdidia-drivers-295,17.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

Flightgear-2.4.0 avec stereo quadruple

 Flightgear 2.4.0 with quad buffered stereo

Dans le post Flightgear avec stereo quadruple je ai écrit sur ​​la façon d'obtenir quad stéréo tamponnée à travailler avec le célèbre simulateur de vol FlightGear . Récemment FlightGear-2.4.0 a été libéré. Le problème avec quad stéréo tamponnée persiste avec FlightGear-2.4.0.

On se attend pour activer le mode stéréoscopique FlightGear commençant avec la ligne suivante:

l'exportation OSG_STEREO_MODE = QUAD_BUFFER; exportation OSG_STEREO = ON; fgfs

Lors du démarrage flightgear cette façon, on obtient la sortie de la console suivant et aucun vue stéréoscopique:

Attention: erreur détectée OpenGL 'opération invalide' après RenderBin :: draw (,)

Obtenir FlightGear de travailler avec un son stéréo quad-tamponné

La raison pour le message d'erreur ci-dessus et le mode stéréo cassé résultant est que le contexte stéréo ne est pas correctement initialisé. Les détails sont décrits ici: Flightgear avec stereo quadruple . Cependant, les bonnes nouvelles, ce est que le patch je ai proposé dans le poste mentionné, fonctionne toujours avec FlightGear-2.4.0. Vous pouvez télécharger le patch ici: flightgear-2.0.0-stereoscopic.patch (822)

Comme d'habitude pour quad tamponnée stéréo, vous devez utiliser une carte graphique professionnelle qui prend en charge stereo quadruple, comme une NVIDIA Quadro FX ou ATI FireGL et le matériel d'affichage adéquat, comme des lunettes à obturateur, un HMD ou d'un système de projection stéréoscopique, de bénéficier de il. Pour utiliser le quad tamponnée mode stéréo début flightgear avec les variables d'environnement mentionnés ci-dessus. Ensuite, vous avez probablement pour activer le mode stéréo quad tamponnée en sélectionnant l'stéréoscopique Options d'affichage dans le menu de l'Affichage.

Avec la version précédente, lorsque vous utilisez le mode stéréo quad tamponné flightgear, il se est produit quelques erreurs graphiques. Certains contrôles de cockpit et d'autres détails de la scène contenaient lignes jaunes, comme un fil de fer, qui ne étaient pas là lors du démarrage FlightGear en mode d'affichage «normal». Ces problèmes semblent être allé avec Flightgear-2.4.0. Au moins, je ne les ai pas plus remarqué.

La façon Gentoo

Pour les utilisateurs de gentoo, je ai créé un overlay. Comme le précédent, il contient des correctifs et des ebuilds modifiés pour flightgear avec le travail de soutien de tampon quad. Vous pouvez obtenir la superposition d'ici: flightgear-2.4.0 superposition (394) Télécharger la superposition et l'extraire dans / usr / local / portage. Veillez à inclure la ligne suivante dans votre fichier /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Alors émerger flightgear et en profiter en trois dimensions.

Se amuser

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

stéréoscopique mplayer-1.0_rc4_p20110322

Hier, le nouvel ebuild mplayer-1.0_rc4_p20110322 apparu dans portage. Dans le post mplayer stéréoscopique travailler à nouveau partie 2 je ai fourni un patch modifié pour le soutien stéréoscopique mplayer-1.0_rc4_p20101114. Ce patch fonctionne toujours avec la version actuelle. Pour l'utiliser, il suffit de télécharger le patch à partir de là et copiez-le:

/etc/portage/patches/media-video/mplayer-1.0_rc4_p20110322-r1/

émergera après mplayer et lire des films stéréoscopiques avec

mplayer -vo gl2: stéréo some_movie_file.avi

mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

bino-1,0 ebuild pour gentoo

Récemment, je ai écrit au sujet de bino , un lecteur vidéo stéréoscopique qui est utilisable avec Linux et prend également en charge stereo quadruple. En attendant la première version stable 1.0 a été libéré. Ses principales caractéristiques sont:

  • Support pour 2D et 3D stéréoscopique vidéo dans une grande variété de formats d'entrée et mises stéréo.
  • Soutien à de nombreuses méthodes de sortie 3D, y compris les lunettes anaglyphes, des lunettes à obturateur, autostéréoscopiques écrans, téléviseurs 3D, et des installations multi-écrans distribués tels que étalages à grande visibilité ou des installations de réalité virtuelle.

La façon Gentoo

Pour les utilisateurs de gentoo voici mon surimpression comprenant l'ebuild: bino-1.0_overlay.tar.gz (611) Télécharger la superposition et l'extraire dans / usr / local / portage. Veillez à inclure la ligne suivante dans votre fichier /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Alors émerger bino et profiter de la visualisation de vos films en 3D.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Pas encore d'évaluation)
Loading ... Chargement ...

Info du site

Trans lator

English flagItalian flagKorean flagChinese (Simplified) flagChinese (Traditional) flagPortuguese flagGerman flagFrench flag
Spanish flagJapanese flagArabic flagRussian flagGreek flagDutch flagBulgarian flagCzech flag
Croatian flagDanish flagFinnish flagHindi flagPolish flagRomanian flagSwedish flagNorwegian flag
Catalan flagFilipino flagHebrew flagIndonesian flagLatvian flagLithuanian flagSerbian flagSlovak flag
Slovenian flagUkrainian flagVietnamese flag